Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2437 - SMP incorrectly detected on non-SMP board; kernel panic; docs slightly wrong
Summary: SMP incorrectly detected on non-SMP board; kernel panic; docs slightly wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-30 14:01 UTC by dripton
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description dripton 1999-04-30 14:01:14 UTC
I have a Tyan Tomcat I board, which is a single-processor
Pentium board but a close cousin of the dual Tomcat II.
Apparently too close.

At boot, the kernel says :
total of 2 processors activated (66.36 BogoMIPS)
enabling symetric IO mode done
enabling IO-APIC IRQs
IO-APIC pm 0,20,21,22,23,...,255 not connected
MP-BIOS bug: 8254 timer not connected to IO-APIC
trying to set up timer as ExtINT (found pm 0) failed
trying to set up timer as BP IRQ failed
Kernel panic IO-APIC + timer doesn't work
In swapper task not syncing
<hard lock>

The Red Hat manual points out that on an SMP machine, two
kernels are built.  It says the LILO labels are smp and
linux, but they were actually called linux and linux-u.
(Might want to consider syncing the labels and the manual.)
Anyway, linux-u works fine.  If false SMP detection is a
common problem, it might be a good idea to run the
single-processor kernel by default and make those who want
smp choose smp.

Comment 1 Jay Turner 1999-06-04 15:12:59 UTC
This issue has been forwarded to a developer for further action.  In
addition the manual correction has been forwarded to the docs staff.


Note You need to log in before you can comment on or make changes to this bug.